-- The following tables can be reconfigured to work with other 
-- mods, thereby eliminating the need to edit the ".big" file, 
-- itself. Simply add or remove the relevent items (including 
-- races, ships, subsystems, etc.) to the tables. The tables 
-- may be emptied, but they must not be removed entirely, or 
-- the game will crash. New races must be listed in the same 
-- order as they appear in "race.lua".
-- Some of the things I wasn't able to externalize were the 
-- starting fleet files used for the SPECIAL FLEETS mode. These 
-- are located in the "data/scripts/startingfleets" folder of 
-- the ".big" file.


--===========================================================================
-- Special Fleets
-- When adding new races, be sure to add a new starting fleet file for the race in the "data/scripts/startingfleets" folder.
--

-- starting ships
hgn_startship = "Hgn_MotherShip"
vgr_startship = "Vgr_MotherShip"

-- the number of different special starting fleets (must be the same for all races)
FleetsNumber = 7

SPFTable =
{
	-- Hiigaran
	{
		-- the ship-type considered to be the mothership for this race
		mothership = "Hgn_MotherShip",
		-- the ship-type considered to be the carrier for this race
		carrier = "Hgn_Carrier",
		startingfleets =
		{
			{
				-- the identifier of the special fleet
				name = "normal",
				label = "Normal HW2",
				-- research items
				research =
				{
				},
				-- subsystems
				subsys =
				{
				},
				-- these ships exit the shiphold when the game starts
				ships =
				{
					"Hgn_ResourceCollector",
					"Hgn_ResourceCollector",
					"Hgn_ResourceCollector",
					"Hgn_ResourceCollector",
					"Hgn_ResourceCollector",
					"Hgn_ResourceCollector",
				},
				-- these ships spawn in formation with the mothership
				shipsh =
				{
					"Hgn_Carrier",
				},
			},
			{
				name = "worker",
				label = "Worker",
				research =
				{
				},
				subsys =
				{
				},
				ships =
				{
					"Hgn_ResourceCollector",
					"Hgn_ResourceCollector",
					"Hgn_ResourceCollector",
					"Hgn_ResourceCollector",
					"Hgn_ResourceCollector",
					"Hgn_ResourceCollector",
					"Hgn_ResourceCollector",
					"Hgn_ResourceCollector",
					"Hgn_ResourceCollector",
					"Hgn_ResourceCollector",
					"Hgn_ResourceCollector",
					"Hgn_ResourceCollector",
				},
				shipsh =
				{
					"Hgn_ResourceController",
					"Hgn_ResourceController",
				},
			},
			{
				name = "scientist",
				label = "Scientist",
				research =
				{
				},
				subsys =
				{
					"Hgn_MS_Module_Research",
					"Hgn_MS_Module_ResearchAdvanced",
				},
				ships =
				{
				},
				shipsh =
				{
				},
			},
			{
				name = "soldier",
				label = "Soldier",
				research =
				{
				},
				subsys =
				{
				},
				ships =
				{
				},
				shipsh =
				{
					"Hgn_Carrier",
					"Hgn_Carrier",
				},
			},
			{
				name = "spy",
				label = "Spy",
				research =
				{
					"ECMProbe",
					"SensDisProbe",
					"ScoutPingAbility",
				},
				subsys =
				{
					"Hgn_C_Sensors_AdvancedArray",
					"Hgn_C_Module_CloakGenerator",
				},
				ships =
				{
					"Hgn_Scout",
					"Hgn_Scout",
					"Hgn_Scout",
					"Hgn_Probe",
					"Hgn_Probe",
					"Hgn_Probe",
				},
				shipsh =
				{
					"Hgn_Carrier",
				},
			},
			{
				name = "builder",
				label = "Builder",
				research =
				{
					"MothershipBUILDSPEEDUpgrade1",
					"CarrierBUILDSPEEDUpgrade1",
					"ShipyardBUILDSPEEDUpgrade1",
				},
				subsys =
				{
				},
				ships =
				{
				},
				shipsh =
				{
--					"Hgn_Shipyard",
				},
			},
			{
				name = "antifighter",
				label = "Anti-Fighter",
				research =
				{
					"GunTurretHealthUpgrade1",
					"GunTurretHealthUpgrade2",
				},
				subsys =
				{
					"Hgn_MS_Module_PlatformControl",
				},
				ships =
				{
					"Hgn_GunTurret",
					"Hgn_GunTurret",
					"Hgn_GunTurret",
					"Hgn_GunTurret",
					"Hgn_GunTurret",
					"Hgn_GunTurret",
				},
				shipsh =
				{
					"Hgn_Carrier",
				},
			},
		},
	},
	-- Vaygr
	{
		mothership = "Vgr_MotherShip",
		carrier = "Vgr_Carrier",
		startingfleets =
		{
			{
				name = "normal",
				label = "Normal HW2",
				research =
				{
				},
				subsys =
				{
				},
				ships =
				{
					"Vgr_ResourceCollector",
					"Vgr_ResourceCollector",
					"Vgr_ResourceCollector",
					"Vgr_ResourceCollector",
					"Vgr_ResourceCollector",
					"Vgr_ResourceCollector",
				},
				shipsh =
				{
					"Vgr_Carrier",
				},
			},
			{
				name = "worker",
				label = "Worker",
				research =
				{
				},
				subsys =
				{
				},
				ships =
				{
					"Vgr_ResourceCollector",
					"Vgr_ResourceCollector",
					"Vgr_ResourceCollector",
					"Vgr_ResourceCollector",
					"Vgr_ResourceCollector",
					"Vgr_ResourceCollector",
					"Vgr_ResourceCollector",
					"Vgr_ResourceCollector",
					"Vgr_ResourceCollector",
					"Vgr_ResourceCollector",
					"Vgr_ResourceCollector",
					"Vgr_ResourceCollector",
				},
				shipsh =
				{
					"Vgr_ResourceController",
					"Vgr_ResourceController",
				},
			},
			{
				name = "scientist",
				label = "Scientist",
				research =
				{
					"CorvetteCommand",
				},
				subsys =
				{
					"Vgr_MS_Module_Research",
					"Vgr_C_Module_FireControl",
				},
				ships =
				{
				},
				shipsh =
				{
					"Vgr_Carrier",		-- want to maybe get rid of this
				},
			},
			{
				name = "soldier",
				label = "Soldier",
				research =
				{
					-- possibly bomber & destroyer tech and only one carrier.
				},
				subsys =
				{
				},
				ships =
				{
				},
				shipsh =
				{
					"Vgr_Carrier",
					"Vgr_Carrier",
				},
			},
			{
				name = "spy",
				label = "Spy",
				research =
				{
					"ProbeProxSensor",
					"ProbeSensorDisruption",
				},
				subsys =
				{
					"Vgr_C_Sensors_AdvancedArray",
					"Vgr_C_Module_CloakGenerator",
				},
				ships =
				{
					"Vgr_Scout",
					"Vgr_Scout",
					"Vgr_Scout",
					"Vgr_Probe",
					"Vgr_Probe",
					"Vgr_Probe",
				},
				shipsh =
				{
					"Vgr_Carrier",		-- want to start out with two of these instead of MS
				},
			},
			{
				name = "builder",
				label = "Builder",
				research =
				{
					"MothershipBUILDSPEEDUpgrade1",
					"CarrierBUILDSPEEDUpgrade1",
					"ShipyardBUILDSPEEDUpgrade1",
				},
				subsys =
				{
				},
				ships =
				{
				},
				shipsh =
				{
--					"Vgr_Shipyard",		-- want to start out with this instead of MS
				},
			},
			{
				name = "antifighter",
				label = "Anti-Fighter",
				research =
				{
					"PlatformHealthUpgrade1",
					"PlatformHealthUpgrade2",
				},
				subsys =
				{
					"Vgr_MS_Module_PlatformControl",
				},
				ships =
				{
					"Vgr_WeaponPlatform_gun",
					"Vgr_WeaponPlatform_gun",
					"Vgr_WeaponPlatform_gun",
					"Vgr_WeaponPlatform_gun",
					"Vgr_WeaponPlatform_gun",
					"Vgr_WeaponPlatform_gun",
				},
				shipsh =
				{
					"Vgr_Carrier",
				},
			},
		},
	},
}


--===========================================================================
-- Defined Roles
--

-- the number of different roles (must be the same for all races)
RolesNumber = 3

-- if noone on a team selects this role, then everyone gets this job's benefits
-- also affects RU transfer, so set this to a job that can spend RUs
RoleCapital = 1
-- affects who does the resourcing
RoleResource = 2
-- affects AI demand values
RoleFrigate = 2
RoleFighter = 3
RoleCorvette = 3

-- List of jobtypes and corresponding ships/research/subsystems.
-- try not to add items restricted by "data\scripts\scar\restrict.lua"
aShip =
-- {	race {	role {	type {	item }}}}
{
	-- Hiigaran
	{
		{
			name = "capital",
			label = "Capital/Production",
			research =
			{
				"DestroyerTech",
				"BattlecruiserIonWeapons",
				"MothershipHealthUpgrade1",
				"MothershipHealthUpgrade2",
				"MothershipMAXSPEEDUpgrade1",
				"MothershipMAXSPEEDUpgrade2",
				"MothershipBUILDSPEEDUpgrade1",
				"CarrierHealthUpgrade1",
				"CarrierHealthUpgrade2",
				"CarrierMAXSPEEDUpgrade1",
				"CarrierMAXSPEEDUpgrade2",
				"CarrierBUILDSPEEDUpgrade1",
				"BattlecruiserHealthUpgrade1",
				"BattlecruiserHealthUpgrade2",
				"BattlecruiserMAXSPEEDUpgrade1",
				"BattlecruiserMAXSPEEDUpgrade2",
				"DestroyerHealthUpgrade1",
				"DestroyerHealthUpgrade2",
				"DestroyerMAXSPEEDUpgrade1",
				"DestroyerMAXSPEEDUpgrade2",
				"ShipyardHealthUpgrade1",
				"ShipyardHealthUpgrade2",
				"ShipyardMAXSPEEDUpgrade1",
				"ShipyardMAXSPEEDUpgrade2",
				"ShipyardBUILDSPEEDUpgrade1",
			},
			subsys =
			{
				"Hgn_C_Module_Research",
				"Hgn_MS_Module_Research",
				"Hgn_C_Module_ResearchAdvanced",
				"Hgn_MS_Module_ResearchAdvanced",
				"Hgn_C_Module_Hyperspace",
				"Hgn_MS_Module_Hyperspace",
				"Hgn_C_Module_HyperspaceInhibitor",
				"Hgn_MS_Module_HyperspaceInhibitor",
				"Hgn_C_Module_CloakGenerator",
				"Hgn_MS_Module_CloakGenerator",
				"Hgn_C_Module_FireControl",
				"Hgn_MS_Module_FireControl",
				"Hgn_C_Sensors_DetectHyperspace",
				"Hgn_MS_Sensors_DetectHyperspace",
				"Hgn_C_Sensors_AdvancedArray",
				"Hgn_MS_Sensors_AdvancedArray",
				"Hgn_C_Sensors_DetectCloaked",
				"Hgn_MS_Sensors_DetectCloaked",
				"Hgn_MS_Production_CapShip",
				"Hgn_SY_Production_CapShip",
			},
			ship =
			{
				"Hgn_Mothership",	-- Causes error messages to be printed, but not important
				"Hgn_BattleCruiser",
				"Hgn_Carrier",
				"Hgn_Shipyard",
				"Hgn_Destroyer",
			},
		},
		{
			name = "frigate",
			label = "Frigate/Platform",
			research =
			{
				"RepairAbility",
				"ResourceCollectorHealthUpgrade1",
				"ResourceCollectorHealthUpgrade2",
				"ResourceControllerHealthUpgrade1",
				"ResourceControllerHealthUpgrade2",
				"PlatformIonWeapons",
				"GraviticAttractionMines",
				"ImprovedTorpedo",
				"DefenseFieldFrigateShield",
				"TorpedoFrigateHealthUpgrade1",
				"TorpedoFrigateHealthUpgrade2",
				"TorpedoFrigateMAXSPEEDUpgrade1",
				"TorpedoFrigateMAXSPEEDUpgrade2",
				"IonCannonFrigateHealthUpgrade1",
				"IonCannonFrigateHealthUpgrade2",
				"IonCannonFrigateMAXSPEEDUpgrade1",
				"IonCannonFrigateMAXSPEEDUpgrade2",
				"AssaultFrigateHealthUpgrade1",
				"AssaultFrigateHealthUpgrade2",
				"AssaultFrigateMAXSPEEDUpgrade1",
				"AssaultFrigateMAXSPEEDUpgrade2",
				"GunTurretHealthUpgrade1",
				"GunTurretHealthUpgrade2",
				"IonTurretHealthUpgrade1",
				"IonTurretHealthUpgrade2",
			},
			subsys =
			{
				"Hgn_C_Production_Frigate",
				"Hgn_MS_Production_Frigate",
				"Hgn_C_Module_PlatformControl",
				"Hgn_MS_Module_PlatformControl",
			},
			ship =
			{
				"Hgn_ResourceCollector",
				"Hgn_ResourceController",
				"Hgn_AssaultFrigate",
				"Hgn_DefenseFieldFrigate",
				"Hgn_IonCannonFrigate",
				"Hgn_MarineFrigate",
				"Hgn_TorpedoFrigate",
				"Hgn_GunTurret",
				"Hgn_IonTurret",
			},
		},
		{
			name = "fighter",
			label = "Fighter/Corvette",
			research =
			{
				"ECMProbe",
				"SensDisProbe",
				"ScoutPingAbility",
				"AttackBomberImprovedBombs",
				"ScoutEMPAbility",
				"InterceptorMAXSPEEDUpgrade1",
				"InterceptorMAXSPEEDUpgrade2",
				"AttackBomberMAXSPEEDUpgrade1",
				"AttackBomberMAXSPEEDUpgrade2",
				"AssaultCorvetteHealthUpgrade1",
				"AssaultCorvetteHealthUpgrade2",
				"AssaultCorvetteMAXSPEEDUpgrade1",
				"AssaultCorvetteMAXSPEEDUpgrade2",
				"PulsarCorvetteHealthUpgrade1",
				"PulsarCorvetteHealthUpgrade2",
				"PulsarCorvetteMAXSPEEDUpgrade1",
				"PulsarCorvetteMAXSPEEDUpgrade2",
			},
			subsys =
			{
				"Hgn_C_Production_Fighter",
				"Hgn_MS_Production_Fighter",
				"Hgn_C_Production_Corvette",
				"Hgn_MS_Production_Corvette",
			},
			ship =
			{
				"Hgn_Probe",
				"Hgn_ProximitySensor",
				"Hgn_ECMProbe",
				"Hgn_AssaultCorvette",
				"Hgn_PulsarCorvette",
				"Hgn_MinelayerCorvette",
				"Hgn_Scout",
				"Hgn_AttackBomber",
				"Hgn_Interceptor",
			},
		},
	},
	-- Vaygr
	{
		-- roles
		{
			name = "capital",
			label = "Capital/Production",
			research =
			{
				"BattlecruiserIonWeapons",
				"DestroyerGuns",
				"MothershipBUILDSPEEDUpgrade1",
				"SuperCapHealthUpgrade1",
				"SuperCapHealthUpgrade2",
				"SuperCapSpeedUpgrade1",
				"SuperCapSpeedUpgrade2",
				"CarrierBUILDSPEEDUpgrade1",
				"ShipyardBUILDSPEEDUpgrade1",
			},
			subsys =
			{
				"Vgr_C_Module_Research",
				"Vgr_MS_Module_Research",
				"Vgr_C_Module_Hyperspace",
				"Vgr_MS_Module_Hyperspace",
				"Vgr_C_Module_HyperspaceInhibitor",
				"Vgr_MS_Module_HyperspaceInhibitor",
				"Vgr_C_Module_CloakGenerator",
				"Vgr_MS_Module_CloakGenerator",
				"Vgr_C_Module_FireControl",
				"Vgr_MS_Module_FireControl",
				"Vgr_C_Sensors_DetectHyperspace",
				"Vgr_MS_Sensors_DetectHyperspace",
				"Vgr_C_Sensors_AdvancedArray",
				"Vgr_MS_Sensors_AdvancedArray",
				"Vgr_MS_Production_CapShip",
				"Vgr_SY_Production_CapShip",
			},
			ship = 
			{
				"Vgr_Mothership",
				"Vgr_BattleCruiser",
				"Vgr_HWCCarrier",
				"Vgr_Carrier",
				"Vgr_ShipYard",
				"Vgr_Destroyer",
			},
		},
		{
			name = "frigate",
			label = "Frigate/Platform",
			research =
			{
				"HyperspaceGateTech",
				"RepairAbility",
				"UtilityHealthUpgrade1",
				"UtilityHealthUpgrade2",
				"FrigateTech",
				"PlatformHeavyMissiles",
				"FrigateAssault",
				"FrigateInfiltrationTech",
				"FrigateHealthUpgrade1",
				"FrigateHealthUpgrade2",
				"FrigateSpeedUpgrade1",
				"SpeedUpgrade2",
				"PlatformHealthUpgrade1",
				"PlatformHealthUpgrade2",
			},
			subsys =
			{
				"Vgr_C_Production_Frigate",
				"Vgr_MS_Production_Frigate",
				"Vgr_C_Module_PlatformControl",
				"Vgr_MS_Module_PlatformControl",
			},
			ship =
			{
				"Vgr_ResourceCollector",
				"Vgr_ResourceController",
				"Vgr_AssaultFrigate",
				"Vgr_HeavyMissileFrigate",
				"Vgr_InfiltratorFrigate",
				"Vgr_WeaponPlatform_gun",
				"Vgr_WeaponPlatform_missile",
				"Vgr_HyperSpace_Platform",
			},
		},
		{
			name = "fighter",
			label = "Fighter/Corvette",
			research =
			{
				"ProbeSensorDisruption",
				"ProbeProxSensor",
				"CorvetteTech",
				"LanceBeams",
				"PlasmaBombs",
				"CorvetteGraviticAttraction",
				"CorvetteLaser",
				"CorvetteCommand",
				"ScoutEMPAbility",
				"BomberImprovedBombs",
				"FighterspeedUpgrade1",
				"FighterspeedUpgrade2",
				"CorvetteHealthUpgrade1",
				"CorvetteHealthUpgrade2",
				"CorvetteSpeedUpgrade1",
				"CorvetteSpeedUpgrade2",
			},
			subsys =
			{
				"Vgr_C_Production_Fighter",
				"Vgr_MS_Production_Fighter",
				"Vgr_C_Production_Corvette",
				"Vgr_MS_Production_Corvette",
			},
			ship =
			{
				"Vgr_Probe_Prox",
				"Vgr_Probe_ECM",
				"Vgr_Probe",
				"Vgr_LaserCorvette",
				"Vgr_MissileCorvette",
				"Vgr_CommandCorvette",
				"Vgr_MinelayerCorvette",
				"Vgr_Scout",
				"Vgr_Bomber",
				"Vgr_Interceptor",
				"Vgr_LanceFighter",
			},
		},
	},
}


--===========================================================================
-- Bentusi Roulette
--

-- These research options will never be granted. They should be the same as those found in "data\scripts\scar\restrict.lua".
-- Should maybe create another table for build items, or read everything from modified "restrict.lua".
omittedResearch =
{
	-- Hiigaran
	{
		"AssaultCorvetteEliteWeaponUpgrade",	-- would like to enable this, just for fun
		"AttackBomberEliteWeaponUpgrade",	-- would like to enable this, just for fun
		"SensorsDowngrade1",
		"SensorsDowngrade2",
		"SensorsDowngrade3",
		"SensorsBackToNormal1",
		"SensorsBackToNormal2",
		"SensorsBackToNormal3",
		"MoverHealthDowngrade",
		"MoverHealthUpgrade",
		"FrigateHealthUpgradeSPGAME",
		"DamageMoverTech",
		"KeeperHealthUpgradeSPGAME_LOW",
		"KeeperHealthUpgradeSPGAME_MED",
		"KeeperHealthUpgradeSPGAME_HIGH",
		"KeeperWeaponUpgradeSPGAME_M10_LVL_1",
		"KeeperWeaponUpgradeSPGAME_M10_LVL_2",
		"KeeperWeaponUpgradeSPGAME_M10_LVL_3",
		"KeeperWeaponUpgradeSPGAME_M10_LVL_4",
		"KeeperWeaponUpgradeSPGAME_M10_LVL_5",
		"KeeperWeaponUpgradeSPGAME_M10_LVL_6",
		"KeeperHealthUpgradeSPGAME_M10_LVL_1",
		"KeeperHealthUpgradeSPGAME_M10_LVL_2",
		"KeeperHealthUpgradeSPGAME_M10_LVL_3",
		"AttackDroidHealthUpgradeSPGAME_LOW",
		"AttackDroidHealthUpgradeSPGAME_MED",
		"AttackDroidHealthUpgradeSPGAME_HIGH",
		"AttackDroidWeaponUpgradeSPGAME_LOW",
		"AttackDroidWeaponUpgradeSPGAME_MED",
		"AttackDroidWeaponUpgradeSPGAME_HIGH",
		"RadiationDefenseField",
	},
	-- Vaygr
	{
		"WeakVgrHeavyMissiles",
		"HyperspaceRecoveryTimeUpgradeSPGAME",
		"HyperspaceTransitionTimeUpgradeSPGAME",
		"VaygrCarrierHealthRegenDowngrade",
		"ShipyardSpeedDowngradeSPGAME",
		"SuperCapHealthUpgradeSPGAME",
		"VaygrFrigateHealthUpgradeSPGAME",
		"VaygrFrigateHealthRegenDowngradeSPGAME",
		"CorvetteHealthUpgradeSPGAME",
		"ExtraStrongVgrHeavyMissilesSPGAME",
		"VaygrCaptureHack",
		"VaygrReduceCaptureHack",
		"VaygrRadiationImmunityHack",
		"VaygrCarrierHealthUpgrade",
	},
}

--===========================================================================
-- Random Music
--

-- the length of the "PlayList" table
TracksNumber = 20

-- the playlist for the random music script
PlayList =
{
	-- title, filepath, playing time (s),					-- default time
	{"Ambient No.1", "ambient\\amb_01", 628,},				-- 157
	{"Ambient No.2", "ambient\\amb_02", 660,},				-- 110
	{"Ambient No.3", "ambient\\amb_03", 620,},				-- 155
	{"Ambient No.4", "ambient\\amb_04", 660,},				-- 110
	{"Ambient No.5", "ambient\\amb_05", 645,},				-- 129
	{"Ambient No.6", "ambient\\amb_06", 618,},				-- 103
	{"Ambient No.7", "ambient\\amb_07", 620,},				-- 124
	{"Ambient No.8", "ambient\\amb_08", 705,},				-- 141
	{"Ambient No.12", "ambient\\amb_12", 628,},				-- 108
	{"Ambient No.13", "ambient\\amb_13", 684,},				-- 114
	{"Ambient No.14", "ambient\\amb_14", 725,},				-- 145
	{"Battle No.1", "battle\\battle_01", 552,},				-- 276
	{"Battle No.4", "battle\\battle_04", 678,},				-- 226
	{"Battle No.4, Alternate", "battle\\battle_04_alt", 720,},		-- 180
	{"Battle No.6", "battle\\battle_06", 764,},				-- 191
	{"Battle - Keeper", "battle\\battle_keeper", 708,},			-- 177
	{"Battle - Movers", "battle\\battle_movers", 632,},			-- 158
	{"Battle - Planet Killers", "battle\\battle_planetkillers", 748,},	-- 187
	{"Battle - Sajuuk", "battle\\battle_sajuuk", 644,},			-- 161
	{"Battle - Arrival", "battle\\battle_arrival", 640,},			-- 64
}
